> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Set tags for a location



## OpenAPI

````yaml /openapi.json post /location-tags/set
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /location-tags/set:
    post:
      tags:
        - Location Tag
      summary: Set tags for a location
      operationId: setLocationTags
      parameters: []
      requestBody:
        required: true
        description: Array of location tags to set
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/CreateLocationTag'
      responses:
        '200':
          description: Location tags set successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LocationTag'
        '400':
          description: Invalid request
components:
  schemas:
    CreateLocationTag:
      type: object
      properties:
        code:
          type: string
          description: The code of the location tag, a unique identifier
        name:
          type: string
          description: The name of the location tag
        description:
          type: string
          description: The description of the location tag
      required:
        - code
        - name
        - description
    LocationTag:
      type: object
      properties:
        id:
          type: string
          description: The id of the location tag
        code:
          type: string
          description: The code of the location tag, a unique identifier
        name:
          type: string
          description: The name of the location tag
        description:
          type: string
          description: The description of the location tag
        createdAt:
          format: date-time
          type: string
          description: The date and time the location tag was created
        updatedAt:
          format: date-time
          type: string
          description: The date and time the location tag was updated
        deleted:
          type: boolean
          description: Whether the location tag is deleted
        deletedAt:
          format: date-time
          type: string
          description: The date and time the location tag was deleted
      required:
        - id
        - code
        - name
        - description
        - createdAt
        - updatedAt
        - deleted
        - deletedAt

````